<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Store :: BDB</name>
    <id>activemq-store-bdb</id>
    <shortDescription>BDB Message persistence implementation</shortDescription>
    <description>BDB message persistence implementation</description>
  
    <package>org.activemq.store.bdb</package>
    <packageGroups>
      <packageGroup>
        <title>BDB message persistence implementation</title>
        <packages>org.activemq.store.bdb</packages>
      </packageGroup>
    </packageGroups>
 
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>
    
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
      <dependency> <!-- Used for unit tests -->
        <groupId>activemq</groupId>
        <artifactId>activemq-core-test</artifactId>
        <version>${pom.currentVersion}</version>
      </dependency>
      
      <dependency>
        <groupId>berkeleydb</groupId>
        <artifactId>berkeleydb</artifactId>
        <version>${berkeleydb_version}</version>
      </dependency>

    </dependencies>  


  <build>
    <nagEmailAddress>dev@activemq.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>
        <!-- disable failing tests -->
        <exclude>**/BDbTopicMessageStoreTest.*</exclude>
      </excludes>
    </unitTest>
    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>    

</project>
